=== modified file 'NEWS'
--- NEWS	2008-09-17 23:09:18 +0000
+++ NEWS	2008-09-23 16:14:54 +0000
@@ -4,6 +4,23 @@
 
 .. contents::
 
+bzr 1.7 2008-09-23
+------------------
+
+This release includes many bug fixes and a few performance and feature
+improvements.  ``bzr rm`` will now scan for missing files and remove them,
+like how ``bzr add`` scans for unknown files and adds them. A bit more
+polish has been applied to the stacking code. The b-tree indexing code has
+been brought in, with an eye on using it in a future repository format.
+There are only minor installer changes since bzr-1.7rc2.
+
+  FEATURES
+
+    * Some small updates to the win32 installer. Include localization
+      files found in plugins, and include the builtin distutils as part of
+      packaging qbzr. (Mark Hammond)
+
+
 bzr 1.7rc2 2008-09-17
 ---------------------
 

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2008-09-16 21:39:28 +0000
+++ bzrlib/__init__.py	2008-09-23 16:14:54 +0000
@@ -41,7 +41,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (1, 7, 0, 'candidate', 2)
+version_info = (1, 7, 0, 'final', 0)
 
 
 # API compatibility version: bzrlib is currently API compatible with 1.7.

=== modified file 'setup.py'
--- setup.py	2008-09-04 12:03:01 +0000
+++ setup.py	2008-09-23 16:12:07 +0000
@@ -351,6 +351,7 @@
     excludes.append('PyQt4.elementtree.ElementTree')
     includes.append('sip') # extension module required for Qt.
     packages.append('pygments') # colorizer for qbzr
+    packages.append('docutils') # html formatting
     # but we can avoid many Qt4 Dlls.
     dll_excludes.extend(
         """QtAssistantClient4.dll QtCLucene4.dll QtDesigner4.dll
@@ -509,7 +510,7 @@
             plugins = set(dirs)
         x = []
         for i in files:
-            if os.path.splitext(i)[1] not in [".py", ".pyd", ".dll"]:
+            if os.path.splitext(i)[1] not in [".py", ".pyd", ".dll", ".mo"]:
                 continue
             if i == '__init__.py' and root == 'bzrlib/plugins':
                 continue

